/***************************************************************************
                          legenditem.h  -  description
                             -------------------

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Tue Aug 31 1999
    copyright            : (C) 2000 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef LEGENDITEM_H
#define LEGENDITEM_H

#include <kplitem.h>

class KplCheckListItem;

/**
  * Legend item class. Class for legends items explaining markers
  * and line types.
  * @author Werner Stille
  */

class LegendItem : public KplItem  {
public: 
  /** Constructor */
	LegendItem();
  /**
    * Constructor. Initializes corresponding to autoplot settings.
    * @param aut pointer to structure containing autoplot settings.
    */
	LegendItem(AutoStruct *aut);
  /**
    * Constructor. Initializes corresponding to plot file.
    * @param plo pointer to KSimpleConfig object containing item data.
    * @param aut pointer to structure containing autoplot settings.
    */
  LegendItem(KSimpleConfig *plo, AutoStruct *aut);
  /** Destructor */
  virtual ~LegendItem();
  virtual itemTypes iType();
  virtual void draw(KplGraph *g);
  virtual void writePlo(FILE *f);
  virtual void setText(KplCheckListItem *it, bool *arrays, bool *funcs);
  virtual int editItem(QWidget *parent, KplDoc *m, int i);
  virtual KplItem* copy();

protected:
  int symb;
  long colsymb, coltext;
  double x, y, xtext, ytext, relsiz;
  char s[80];

  friend class LegendDlg;
};

#endif
