/***************************************************************************
                          resource.h  -  description                              
                             -------------------                                         

    This file is a part of kpl - a program for graphical presentation of
    data sets and functions.

    begin                : Sat Apr 24 15:14:00 MEST 1999
                                           
    copyright            : (C) 2000 by Werner Stille                         
    email                : stille@uni-freiburg.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef RESSOURCE_H
#define RESSOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands


///////////////////////////////////////////////////////////////////
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES

///////////////////////////////////////////////////////////////////
// File-menu entries
#define ID_FILE_NEW                 10010
#define ID_FILE_OPEN_PLOT           10020
#define ID_FILE_OPEN_DATA           10030
#define ID_FILE_OPEN_RECENT         10040
#define ID_FILE_SAVE                10050
#define ID_FILE_SAVE_AS             10060
#define ID_FILE_CLOSE               10070
#define ID_FILE_PLOT                10080
#define ID_FILE_PS                  10090
#define ID_FILE_PRINT               10100
#define ID_FILE_NEW_WINDOW          10110
#define ID_FILE_CLOSE_WINDOW        10120
#define ID_FILE_QUIT                10130

#define ID_EDIT                     11000

///////////////////////////////////////////////////////////////////
// View-menu entries                    
#define ID_VIEW_ZOOM_IN             12010
#define ID_VIEW_ZOOM_OUT            12020
#define ID_VIEW_ZOOM                12030
#define ID_VIEW_RELOAD              12040
#define ID_VIEW_AUTO_RELOAD         12050

///////////////////////////////////////////////////////////////////
// Options-menu entries
#define ID_OPTIONS_TOOLBAR          13010
#define ID_OPTIONS_STATUSBAR        13020
#define ID_OPTIONS_AUTOPLOT         13030
#define ID_OPTIONS_SHOWSOURCE       13040
#define ID_OPTIONS_BBOX             13050
#define ID_OPTIONS_WARNING          13060
#define ID_OPTIONS_SAVE_AT_END      13070
#define ID_OPTIONS_KEYS             13080
#define ID_OPTIONS_BASIC            13090
#define ID_OPTIONS_AUTO             13100
#define ID_OPTIONS_AUTOFIT          13110
#define ID_OPTIONS_SAVE             13120

///////////////////////////////////////////////////////////////////
// Help-menu entries
#define ID_HELP                     1010


///////////////////////////////////////////////////////////////////
// General application values
#define ID_STATUS_MSG               1001
#define ID_STATUS_POS               1002
#define ID_STATUS_VAL               1003

#define IDS_APP_ABOUT               PACKAGE " " VERSION "\n\n 2000 Werner Stille <stille@uni-freiburg.de>"


///////////////////////////////////////////////////////////////////
// MACROS FOR THE CONNECT OF YOUR SIGNALS TO CORRESPONDENT SLOTS 
// IN YOUR MAIN IMPLEMENTATION OF MENUBAR AND TOOLBAR

///////////////////////////////////////////////////////////////////
// ACCELERATOR CONNECTS
#define CONNECT_ACCEL(acc, cmd, menu, id) key_accel->connectItem(acc, this, SLOT(cmd)); key_accel->changeMenuAccel(menu, id, acc)

///////////////////////////////////////////////////////////////////
// KEY CONNECTS
#define CONNECT_KEY(key, idescr, descr, recv, cmd)  key_accel->insertItem(idescr, descr, key); key_accel->connectItem(descr, recv, SLOT(cmd))

///////////////////////////////////////////////////////////////////
// Create cases for entries and connect them to change statusBar entry
#define ON_STATUS_MSG(id, message)     case id:  slotStatusHelpMsg(message);break;

#endif // RESOURCE_H
